<?php 

$editcsrfvalid=false;
if(isset($_POST['editcsrf'])&& wp_verify_nonce($_POST['editcsrf'],'editcsrf'))
{
  $editcsrfvalid=true;
}
if(isset($editcsrfvalid))
{
   $wpsociline_my_checkbox = sanitize_text_field($_POST['wpsociline_a']);
     update_option( 'wpsociline_userid',$wpsociline_my_checkbox );

     }
?>